Package com.collabnet.ce.soap60.webservices.filestorage

# Class FileStorageAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.filestorage.FileStorageAppSoapStub

All Implemented Interfaces:
  `IFileStorageAppSoap`

public class FileStorageAppSoapStub extends ClientSoapStub implements IFileStorageAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileStorageAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.activation.DataHandler`
  `downloadFile(String sessionId, String fileStorageId)`
  Downloads file as SOAP attachment.
  `jakarta.activation.DataHandler`
  `downloadFileDirect(String sessionId, String containerId, String rawFileId)`
  Downloads file Direct as SOAP attachment.
  `String`
  `uploadFile(String sessionId, jakarta.activation.DataHandler file)`
  Uploads a file as SOAP attachment.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileStorageAppSoapStub

    public FileStorageAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### uploadFile

    public String uploadFile(String sessionId, jakarta.activation.DataHandler file) throws RemoteException
    Description copied from interface: `IFileStorageAppSoap`
    Uploads a file as SOAP attachment.
    Specified by:
      `uploadFile` in interface `IFileStorageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `file` - SOAP file attachment.
    Returns:
      File object id.
    Throws:
      `RemoteException`

  - ### downloadFile

    public jakarta.activation.DataHandler downloadFile(String sessionId, String fileStorageId) throws RemoteException
    Description copied from interface: `IFileStorageAppSoap`
    Downloads file as SOAP attachment.
    Specified by:
      `downloadFile` in interface `IFileStorageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `fileStorageId` - Id of temporary file storage returned by DocmentApp.getDocumentFileId or FrsApp.getFrsFileId
    Returns:
      File as SOAP attachment.
    Throws:
      `RemoteException`

  - ### downloadFileDirect

    public jakarta.activation.DataHandler downloadFileDirect(String sessionId, String containerId, String rawFileId) throws RemoteException
    Description copied from interface: `IFileStorageAppSoap`
    Downloads file Direct as SOAP attachment.
    Specified by:
      `downloadFileDirect` in interface `IFileStorageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `containerId` - The Folder which houses the attachment
      `rawFileId` - FileId to be downloaded
    Returns:
      File as SOAP attachment.
    Throws:
      `RemoteException`